Commit 93b91009 authored by webchick's avatar webchick
Browse files

#1006478 by Stevel, mradcliffe, vwX, bfroehle: Fixed D6 to D7 upgrade on...

#1006478 by Stevel, mradcliffe, vwX, bfroehle: Fixed D6 to D7 upgrade on PostgreSQL stopped cold at update.php
parent 22f0ba52
......@@ -155,6 +155,20 @@ function update_prepare_d7_bootstrap() {
'description' => $has_required_schema ? '' : 'Please update your Drupal 6 installation to the most recent version before attempting to upgrade to Drupal 7',
),
);
// Make sure that the database environment is properly set up.
try {
db_run_tasks(db_driver());
}
catch (DatabaseTaskException $e) {
$requirements['database tasks'] = array(
'title' => 'Database environment',
'value' => 'There is a problem with your database environment',
'severity' => REQUIREMENT_ERROR,
'description' => $e->getMessage(),
);
}
update_extra_requirements($requirements);
// Allow a D6 session to work, since the upgrade has not been performed yet.
......
......@@ -2114,21 +2114,6 @@ function system_update_7021() {
->execute();
}
/**
* Add the substr_index() function to PostgreSQL.
*
* Note: this should go into the driver itself, but we have no support
* for driver-specific updates yet.
*/
function system_update_7024() {
if (db_driver() == 'pgsql') {
db_query('CREATE OR REPLACE FUNCTION "substring_index"(text, text, integer) RETURNS text AS
\'SELECT array_to_string((string_to_array($1, $2)) [1:$3], $2);\'
LANGUAGE \'sql\''
);
}
}
/**
* Enable field type modules.
*/
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment